<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>MapConfiguration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MapConfiguration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/JSONConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/MapConfiguration.html" target="_top">Frames</a></li>
<li><a href="MapConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2</div>
<h2 title="Class MapConfiguration" class="title">Class MapConfiguration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">org.apache.commons.configuration2.event.BaseEventSource</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">org.apache.commons.configuration2.AbstractConfiguration</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.MapConfiguration</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>, <a href="../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a>, <a href="../../../../org/apache/commons/configuration2/ImmutableConfiguration.html" title="interface in org.apache.commons.configuration2">ImmutableConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/sync/SynchronizerSupport.html" title="interface in org.apache.commons.configuration2.sync">SynchronizerSupport</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../org/apache/commons/configuration2/EnvironmentConfiguration.html" title="class in org.apache.commons.configuration2">EnvironmentConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/SystemConfiguration.html" title="class in org.apache.commons.configuration2">SystemConfiguration</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MapConfiguration</span>
extends <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a>
implements <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a></pre>
<div class="block"><p>
 A Map based Configuration.
 </p>
 <p>
 This implementation of the <code>Configuration</code> interface is
 initialized with a <code>java.util.Map</code>. The methods of the
 <code>Configuration</code> interface are implemented on top of the content of
 this map. The following storage scheme is used:
 </p>
 <p>
 Property keys are directly mapped to map keys, i.e. the
 <code>getProperty()</code> method directly performs a <code>get()</code> on
 the map. Analogously, <code>setProperty()</code> or
 <code>addProperty()</code> operations write new data into the map. If a value
 is added to an existing property, a <code>java.util.List</code> is created,
 which stores the values of this property.
 </p>
 <p>
 An important use case of this class is to treat a map as a
 <code>Configuration</code> allowing access to its data through the richer
 interface. This can be a bit problematic in some cases because the map may
 contain values that need not adhere to the default storage scheme used by
 typical configuration implementations, e.g. regarding lists. In such cases
 care must be taken when manipulating the data through the
 <code>Configuration</code> interface, e.g. by calling
 <code>addProperty()</code>; results may be different than expected.
 </p>
 <p>
 The handling of list delimiters is a bit different for this configuration
 implementation: When a property of type String is queried, it is passed to
 the current <a href="../../../../org/apache/commons/configuration2/convert/ListDelimiterHandler.html" title="interface in org.apache.commons.configuration2.convert"><code>ListDelimiterHandler</code></a> which may generate multiple values.
 Note that per default a list delimiter handler is set which does not do any
 list splitting, so this feature is disabled. It can be enabled by setting
 a properly configured <code>ListDelimiterHandler</code> implementation, e.g. a
 <a href="../../../../org/apache/commons/configuration2/convert/DefaultListDelimiterHandler.html" title="class in org.apache.commons.configuration2.convert"><code>DefaultListDelimiterHandler</code></a> object.
 </p>
 <p>
 Notice that list splitting is only performed for single string values. If a
 property has multiple values, the single values are not split even if they
 contain the list delimiter character.
 </p>
 <p>
 As the underlying <code>Map</code> is directly used as store of the property
 values, the thread-safety of this <code>Configuration</code> implementation
 depends on the map passed to the constructor.
 </p>
 <p>
 Notes about type safety: For properties with multiple values this implementation
 creates lists of type <code>Object</code> and stores them. If a property is assigned
 another value, the value is added to the list. This can cause problems if the
 map passed to the constructor already contains lists of other types. This
 should be avoided, otherwise it cannot be guaranteed that the application
 might throw <code>ClassCastException</code> exceptions later.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.1</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: MapConfiguration.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Emmanuel Bourg</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#map">map</a></span></code>
<div class="block">The Map decorated by this configuration.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#MapConfiguration-java.util.Map-">MapConfiguration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</code>
<div class="block">Create a Configuration decorator around the specified Map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#MapConfiguration-java.util.Properties-">MapConfiguration</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;props)</code>
<div class="block">Creates a new instance of <code>MapConfiguration</code> which uses the
 specified <code>Properties</code> object as its data store.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">addPropertyDirect</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Adds a key/value pair to the Configuration.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#clearPropertyDirect-java.lang.String-">clearPropertyDirect</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Removes the specified property from this configuration.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#clone--">clone</a></span>()</code>
<div class="block">Returns a copy of this object.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#containsKeyInternal-java.lang.String-">containsKeyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Actually checks whether the specified key is contained in this
 configuration.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#getKeysInternal--">getKeysInternal</a></span>()</code>
<div class="block">Actually creates an iterator for iterating over the keys in this
 configuration.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#getMap--">getMap</a></span>()</code>
<div class="block">Return the Map decorated by this configuration.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#getPropertyInternal-java.lang.String-">getPropertyInternal</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Actually obtains the value of the specified property.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#isEmptyInternal--">isEmptyInternal</a></span>()</code>
<div class="block">Actually checks whether this configuration contains data.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#isTrimmingDisabled--">isTrimmingDisabled</a></span>()</code>
<div class="block">Returns the flag whether trimming of property values is disabled.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#setTrimmingDisabled-boolean-">setTrimmingDisabled</a></span>(boolean&nbsp;trimmingDisabled)</code>
<div class="block">Sets a flag whether trimming of property values is disabled.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/configuration2/MapConfiguration.html#sizeInternal--">sizeInternal</a></span>()</code>
<div class="block">Actually calculates the size of this configuration.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.AbstractConfiguration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.<a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addErrorLogListener--">addErrorLogListener</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addProperty-java.lang.String-java.lang.Object-">addProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addPropertyInternal-java.lang.String-java.lang.Object-">addPropertyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#append-org.apache.commons.configuration2.Configuration-">append</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginRead-boolean-">beginRead</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#beginWrite-boolean-">beginWrite</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clear--">clear</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearInternal--">clearInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearProperty-java.lang.String-">clearProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#cloneInterpolator-org.apache.commons.configuration2.AbstractConfiguration-">cloneInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKey-java.lang.String-">containsKey</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#copy-org.apache.commons.configuration2.Configuration-">copy</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endRead--">endRead</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#endWrite--">endWrite</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-">get</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#get-java.lang.Class-java.lang.String-T-">get</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getArray-java.lang.Class-java.lang.String-java.lang.Object-">getArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigDecimal-java.lang.String-java.math.BigDecimal-">getBigDecimal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBigInteger-java.lang.String-java.math.BigInteger-">getBigInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getBoolean-java.lang.String-java.lang.Boolean-">getBoolean</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getByte-java.lang.String-java.lang.Byte-">getByte</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getCollection-java.lang.Class-java.lang.String-java.util.Collection-java.util.Collection-">getCollection</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConfigurationDecoder--">getConfigurationDecoder</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getConversionHandler--">getConversionHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getDouble-java.lang.String-java.lang.Double-">getDouble</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getEncodedString-java.lang.String-org.apache.commons.configuration2.ConfigurationDecoder-">getEncodedString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getFloat-java.lang.String-java.lang.Float-">getFloat</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInt-java.lang.String-int-">getInt</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInteger-java.lang.String-java.lang.Integer-">getInteger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getInterpolator--">getInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys--">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeys-java.lang.String-">getKeys</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeysInternal-java.lang.String-">getKeysInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.Class-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getList-java.lang.String-java.util.List-">getList</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getListDelimiterHandler--">getListDelimiterHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLogger--">getLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getLong-java.lang.String-java.lang.Long-">getLong</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperties-java.lang.String-java.util.Properties-">getProperties</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getProperty-java.lang.String-">getProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getShort-java.lang.String-java.lang.Short-">getShort</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getString-java.lang.String-java.lang.String-">getString</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getStringArray-java.lang.String-">getStringArray</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getSynchronizer--">getSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#immutableSubset-java.lang.String-">immutableSubset</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#initLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">initLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#installInterpolator-java.util.Map-java.util.Collection-">installInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.Object-">interpolate</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolate-java.lang.String-">interpolate</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#interpolatedConfiguration--">interpolatedConfiguration</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmpty--">isEmpty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isScalarValue-java.lang.Object-">isScalarValue</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isThrowExceptionOnMissing--">isThrowExceptionOnMissing</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#lock-org.apache.commons.configuration2.sync.LockMode-">lock</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setProperty-java.lang.String-java.lang.Object-">setProperty</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setPropertyInternal-java.lang.String-java.lang.Object-">setPropertyInternal</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#size--">size</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#subset-java.lang.String-">subset</a>, <a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#unlock-org.apache.commons.configuration2.sync.LockMode-">unlock</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.event.BaseEventSource">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.event.<a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">BaseEventSource</a></h3>
<code><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearErrorListeners--">clearErrorListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clearEventListeners--">clearEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#copyEventListeners-org.apache.commons.configuration2.event.BaseEventSource-">copyEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createErrorEvent-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">createErrorEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#createEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">createEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireError-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-java.lang.Throwable-">fireError</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#fireEvent-org.apache.commons.configuration2.event.EventType-java.lang.String-java.lang.Object-boolean-">fireEvent</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListenerRegistrations--">getEventListenerRegistrations</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#isDetailEvents--">isDetailEvents</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#setDetailEvents-boolean-">setDetailEvents</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="map">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>map</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt; map</pre>
<div class="block">The Map decorated by this configuration.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MapConfiguration-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MapConfiguration</h4>
<pre>public&nbsp;MapConfiguration(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</pre>
<div class="block">Create a Configuration decorator around the specified Map. The map is
 used to store the configuration properties, any change will also affect
 the Map.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>map</code> - the map</dd>
</dl>
</li>
</ul>
<a name="MapConfiguration-java.util.Properties-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MapConfiguration</h4>
<pre>public&nbsp;MapConfiguration(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;props)</pre>
<div class="block">Creates a new instance of <code>MapConfiguration</code> which uses the
 specified <code>Properties</code> object as its data store. All changes of
 this configuration affect the given <code>Properties</code> object and
 vice versa. Note that while <code>Properties</code> actually
 implements <code>Map&lt;Object, Object&gt;</code>, we expect it to contain only
 string keys. Other key types will lead to <code>ClassCastException</code>
 exceptions on certain methods.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>props</code> - the <code>Properties</code> object defining the content of this
        configuration</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.8</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMap</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getMap()</pre>
<div class="block">Return the Map decorated by this configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map this configuration is based onto</dd>
</dl>
</li>
</ul>
<a name="isTrimmingDisabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTrimmingDisabled</h4>
<pre>public&nbsp;boolean&nbsp;isTrimmingDisabled()</pre>
<div class="block">Returns the flag whether trimming of property values is disabled.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><b>true</b> if trimming of property values is disabled;
         <b>false</b> otherwise</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="setTrimmingDisabled-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTrimmingDisabled</h4>
<pre>public&nbsp;void&nbsp;setTrimmingDisabled(boolean&nbsp;trimmingDisabled)</pre>
<div class="block">Sets a flag whether trimming of property values is disabled. This flag is
 only evaluated if list splitting is enabled. Refer to the header comment
 for more information about list splitting and trimming.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>trimmingDisabled</code> - a flag whether trimming of property values should
        be disabled</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.7</dd>
</dl>
</li>
</ul>
<a name="getPropertyInternal-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertyInternal</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getPropertyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getPropertyInternal-java.lang.String-">AbstractConfiguration</a></code></span></div>
<div class="block">Actually obtains the value of the specified property. This method is
 called by <code>getProperty()</code>. Concrete subclasses must define it to
 fetch the value of the desired property.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getPropertyInternal-java.lang.String-">getPropertyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key of the property in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the (raw) value of this property</dd>
</dl>
</li>
</ul>
<a name="addPropertyDirect-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPropertyDirect</h4>
<pre>protected&nbsp;void&nbsp;addPropertyDirect(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key,
                                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">AbstractConfiguration</a></code></span></div>
<div class="block">Adds a key/value pair to the Configuration. Override this method to
 provide write access to underlying Configuration store.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#addPropertyDirect-java.lang.String-java.lang.Object-">addPropertyDirect</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - key to use for mapping</dd>
<dd><code>value</code> - object to store</dd>
</dl>
</li>
</ul>
<a name="isEmptyInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmptyInternal</h4>
<pre>protected&nbsp;boolean&nbsp;isEmptyInternal()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmptyInternal--">AbstractConfiguration</a></code></span></div>
<div class="block">Actually checks whether this configuration contains data. This method is
 called by <code>isEmpty()</code>. It has to be defined by concrete subclasses.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#isEmptyInternal--">isEmptyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><b>true</b> if this configuration contains no data, <b>false</b>
         otherwise</dd>
</dl>
</li>
</ul>
<a name="containsKeyInternal-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containsKeyInternal</h4>
<pre>protected&nbsp;boolean&nbsp;containsKeyInternal(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKeyInternal-java.lang.String-">AbstractConfiguration</a></code></span></div>
<div class="block">Actually checks whether the specified key is contained in this
 configuration. This method is called by <code>containsKey()</code>. It has to
 be defined by concrete subclasses.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#containsKeyInternal-java.lang.String-">containsKeyInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key in question</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><b>true</b> if this key is contained in this configuration,
         <b>false</b> otherwise</dd>
</dl>
</li>
</ul>
<a name="clearPropertyDirect-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearPropertyDirect</h4>
<pre>protected&nbsp;void&nbsp;clearPropertyDirect(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearPropertyDirect-java.lang.String-">AbstractConfiguration</a></code></span></div>
<div class="block">Removes the specified property from this configuration. This method is
 called by <code>clearProperty()</code> after it has done some
 preparations. It must be overridden in sub classes.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#clearPropertyDirect-java.lang.String-">clearPropertyDirect</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the key to be removed</dd>
</dl>
</li>
</ul>
<a name="getKeysInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeysInternal</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Iterator.html?is-external=true" title="class or interface in java.util">Iterator</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getKeysInternal()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeysInternal--">AbstractConfiguration</a></code></span></div>
<div class="block">Actually creates an iterator for iterating over the keys in this
 configuration. This method is called by <code>getKeys()</code>, it has to be
 defined by concrete subclasses.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#getKeysInternal--">getKeysInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an <code>Iterator</code> with all property keys in this configuration</dd>
</dl>
</li>
</ul>
<a name="sizeInternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sizeInternal</h4>
<pre>protected&nbsp;int&nbsp;sizeInternal()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#sizeInternal--">AbstractConfiguration</a></code></span></div>
<div class="block">Actually calculates the size of this configuration. This method is called
 by <code>size()</code> with a read lock held. The base implementation provided
 here calculates the size based on the iterator returned by
 <code>getKeys()</code>. Sub classes which can determine the size in a more
 efficient way should override this method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html#sizeInternal--">sizeInternal</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/AbstractConfiguration.html" title="class in org.apache.commons.configuration2">AbstractConfiguration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the size of this configuration (i.e. the number of keys)</dd>
</dl>
</li>
</ul>
<a name="clone--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>clone</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;clone()</pre>
<div class="block">Returns a copy of this object. The returned configuration will contain
 the same properties as the original. Event listeners are not cloned.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html#clone--">clone</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/configuration2/event/BaseEventSource.html" title="class in org.apache.commons.configuration2.event">BaseEventSource</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the copy</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.3</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MapConfiguration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/configuration2/JSONConfiguration.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html" title="class in org.apache.commons.configuration2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/configuration2/MapConfiguration.html" target="_top">Frames</a></li>
<li><a href="MapConfiguration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
